Status: Resolved Priority: Must have
Author: Adrian Föder Category:
Created: 2013-04-15 Assigned To: Adrian Föder
Updated: 2013-04-15 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Git master
Subject: System roles become namespaced in configuration manager
Description

the system roles, Everybody and Anonymous, get a namespace and become, for example, TYPO3.TYPO3CR:Everybody in the ACLs
section. This can easily be seen when calling ./flow configuration:show --type Policy on a Neos project.
I'll provide a patch (suggestion).

Related issues:
related to TYPO3.Flow - Bug # 28862: Inconsistent handling of roles as object... Resolved 2011-08-09

Associated revisions
Revision f71d9f1c - 2013-04-15 12:39 - Adrian Föder

[BUGFIX] System roles don't get a package namespace

The role change I39f335baa01fbe9b883e98e85cb1f063bbaf5744
introduced the automatic prepend of the package namespace
where the role has been defined; except for system roles
which are at the moment Anonymous and Everybody.

For ACLs, however, the package namespace has been prepended
also for the system roles. This fixes that behavior.

Change-Id: Iba14a25254a8db2cc53c6d07d63baac02b546763
Fixes: #47229
Related: #28862
Releases: 2.0, master

Revision 5936bb55 - 2013-04-15 15:06 - Adrian Föder

[BUGFIX] System roles don't get a package namespace

The role change I39f335baa01fbe9b883e98e85cb1f063bbaf5744
introduced the automatic prepend of the package namespace
where the role has been defined; except for system roles
which are at the moment Anonymous and Everybody.

For ACLs, however, the package namespace has been prepended
also for the system roles. This fixes that behavior.

Change-Id: Iba14a25254a8db2cc53c6d07d63baac02b546763
Fixes: #47229
Related: #28862
Releases: 2.0, master

History
#1 - 2013-04-15 12:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19983

#2 - 2013-04-15 14:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f71d9f1cd5ccbf7932db166a40fe58db24130bb1.

#3 - 2013-04-15 15:06 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19987

#4 - 2013-04-15 15:35 - Adrian Föder
- Status changed from Under Review to Resolved

Applied in changeset commit:5936bb558470a485cee61948c030e498c1af0d5f.
